<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		  <script src="https://vsdc.staging.vms.frcs.org.fj/onlinepos/v1/taxcore.min.js"></script>
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		<div class="m-portlet  m-portlet--unair">
							<div class="m-portlet__body  m-portlet__body--no-padding">
								<div class="row m-row--no-padding m-row--col-separator-xl">
										<div class="col-md-12 col-lg-6 col-xl-3">

										<!--begin::New Users-->
										<div class="m-widget24">
											<div class="m-widget24__item">
												<h4 class="m-widget24__title">
													Total Credit Note/Refunds
												</h4><br>
												<span class="m-widget24__desc">
													
												</span>
												<span class="m-widget24__stats m--font-success">
													<?php 
													
													$SQL =  "select sum(totalamount) as total from debtortrans WHERE type =11";
														
			$result = DB_query($SQL);
	
			$myrowuser = DB_fetch_array($result) ;
		$total= $myrowuser['total'];
													$invoice = number_format($total,2,".",",");
													echo "$".$invoice;
													
													
													
													?>
												</span>
											
											</div>
										</div>

										<!--end::New Users-->
									</div>
										
								
									
								
								
							
								</div>
							</div>
						</div>
     
     
		

   								<div class="row">
									
<div class="col-sm-4">
     
     

   
   
									</div></div>
  
 									
									<?php
//this is where you paste. Below paste it:
$userid = $_SESSION['UserID'];

	
    include('xcrud/xcrud.php');
   $invoices= Xcrud::get_instance();
   $invoices->table('debtortrans');
//$xcrud->where('department', 'Fire-Suva');
  //  $quotation->default_tab('Project info');
	
	
   //$invoices = $xcrud->nested_table('Invoice','projectid','debtortrans','projectid'); // 3rd level
$invoices->where('type=',11);

//$invoices->column_pattern('orderno', '<a href="#" class="xcrud-action" data-task="view" data-primary="{orderno}">{value}</a>');
$invoices->unset_add();
		 $invoices->unset_edit();
			    $invoices->unset_remove();
$invoices->order_by('transno','desc');
 $invoices->fields('transno,invoice_type,order_,projectid,debtorno,trandate,totalamount,ovgst,stt,ecal,account_number,reference,invtext,department,entered_by',false);
 $invoices->columns('transno,invoice_type,order_,projectid,debtorno,trandate,totalamount,ovgst,stt,ecal,account_number,reference,invtext,department,entered_by',false);
$invoices->label('transno','ERP Credit/RefundNo:');

$invoices->label('trandate','Dated:');
$invoices->label('projectid','Job No/Project ID:');
$invoices->label('order_','Order No');
;
	$invoices->label('totalamount','Total Refunded(incl Taxes)');
		$invoices->label('billing_id','CIT Bill ID');
$invoices->label('ovgst','Vat');
$invoices->label('plastic','Plastic Bag Levy');

$invoices->table_name('Credit Note/Refund Listings');
$invoices->button('RePrintCreditNote-sdc.php?invoicenumber={sdc_invoice_no}&transno={transno}&totalamount={totalamount}', 'Re-Print Credit Note/Refund','glyphicon glyphicon-download-alt','westpac');
//$invoices->button('JCEmailInvoice.php?orderno={order_}&transno={transno}', 'Email Invoice','glyphicon glyphicon-envelope','payslipemail');

//$invoices->button('CreditInvoice.php?orderno={order_}&transno={transno}', 'Credit Note','glyphicon glyphicon-cog','payslip');

	  $invoices->relation('debtorno','debtorsmaster','debtorno','name');
	 $invoices->relation('department','department','departmentid','departmentname'); 


$invoices->sum('totalamount');
$invoices->change_type('totalamount', 'price', '0', array('prefix'=>'$','decimals'=>'2'));
//$invoices->column_pattern('transno', '<a href="#" class="xcrud-action" data-task="view" data-primary="{transno}">{value}</a>');
$salesorderdetails = $invoices->nested_table('Item Line Details','order_','refund_item_details','orderno');
			  $salesorderdetails->unset_add();
			   $salesorderdetails->unset_edit();
			   $salesorderdetails->unset_remove();
$salesorderdetails->table_name('Line item Details');
     $salesorderdetails->fields('stkcode,qtyinvoiced,unitprice,quantity,discountpercent,narrative,total',false);
 $salesorderdetails->columns('stkcode,qtyinvoiced,unitprice,quantity,discountpercent,narrative,total',false);
$salesorderdetails->subselect('total','{unitprice}*{quantity}');
$salesorderdetails->sum('total');

$salesorderdetails->change_type('total,unitprice', 'price', '0', array('prefix'=>'-$','decimals'=>'2'));
  $salesorderdetails->relation('stkcode','stockmaster','stockid','description');

    echo $invoices->render();
	


echo '</div>';
echo '</div>';






			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

	function disableF5(e) {
		
if ((e.which || e.keyCode) == 116) 
	
	e.preventDefault(); 
	
	};
// To disable f5
    /* jQuery < 1.7 */
$(document).bind("keydown", disableF5);
/* OR jQuery >= 1.7 */
$(document).on("keydown", disableF5);

// To re-enable f5

$(document).keydown(function (event) {
    if (event.keyCode == 123) { // Prevent F12
        return false;
    } else if (event.ctrlKey && event.shiftKey && event.keyCode == 73) { // Prevent Ctrl+Shift+I        
        return false;
    }
});
	
	$(document).on("contextmenu", function (e) {        
    e.preventDefault();
});
	 });
	
	

	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>